%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:          jabberpy
Version:       0.5
# Used like this because upstream releases like 0.5-0
Release:       0.22%{?dist}
Summary:       Python xmlstream and jabber IM protocol libs

Group:         Development/Libraries
License:       LGPLv2+
URL:           http://sourceforge.net/projects/jabberpy/
Source0:       http://downloads.sf.net/sourceforge/%{name}/%{name}-%{version}-0.tar.gz
Patch0:        jabberpy-no-init.patch
Patch1:        jabberpy-clean-sockets.patch
Patch2:        jabberpy-hashlib.patch
Patch3:        jabberpy-ipv6-support.patch
Patch4:        jabberpy-proxy.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:     noarch

BuildRequires: python-devel
Requires:      python

%description
jabber.py is a Python module for the jabber instant messaging
protocol. jabber.py deals with the xml parsing and socket code,
leaving the programmer to concentrate on developing quality jabber
based applications with Python.

%prep
%setup -q -n %{name}-%{version}-0
chmod -x examples/*.py
%patch0 -p1 -b .no-init
%patch1 -p1 -b .clean-sockets
%patch2 -p1 -b .hashlib
%patch3 -p1 -b .ipv6
%patch4 -p1

%build
%{__python} setup.py  build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc examples README
%{python_sitelib}/*


%changelog
* Thu Sep 25 2014 Stephen Herr <sherr@redhat.com> 0.5-0.22
- 1117394 - make jabberpy able to use http proxies

* Mon Jan 23 2012 Milan Zazrivec <mzazrivec@redhat.com> 0.5-0.21
- 715333 - support for IPv6 connections

* Thu Apr 07 2011 Jan Pazdziora 0.5-0.20
- 645444 - replacing deprecated import sha with hashlib.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5-0.18
- Rebuild for Python 2.6

* Fri Oct 24 2008 Michael Stahnke <stahnma@fedoraproject.org> 0.5.0.17
- Minor Spec tweaks for review

* Mon Oct 10 2008 Michael Stahnke <stahnma@fedoraproject.org> 0.5-0.16
- Clean up for Fedora Review and submission

* Wed Sep  3 2008 Jesus Rodriguez <jesusr@redhat.com> 0.5-0.15
- remove reliance on external version file

* Tue Oct 09 2007 Pradeep Kilambi <pkilambi@redhat.com>
- clean dangling ports left out by jabberpy

* Mon Jun 14 2004 Mihai Ibanescu <misa@redhat.com>
- Initial build
- Patched to add a __init__ file
